<?
//================================================================
// TWB ECommerce Website System - V5.2 (c) web-bureau.com 2004
//----------------------------------------------------------------
// ews-index.php
// Main Admin Page. Links to all other pages and general stats.
//================================================================

//=============================
// Include DB constants etc.
//=============================
require_once 'twb-constants.php';

?>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head>
<title>TWB ECommerce Website System - Main Admin Page</title>
<meta name="author" content="The Webmaster's Bureau">
<link rel="stylesheet" href="twb-afm.css" type="text/css">
</head>
<body><center>
<? include 'twbaff-menu.php'; ?>

<table id=crit>
<tr><td align=left id=title colspan=2 style='background:#FFF'><a title='Installation URL:<? echo $web_url; ?>'>TWB ECommerce Website System</a></td></tr>
<tr><td align=right colspan=2 style='font-weight:bold; background:#FFF'>
V5.2 [15-03-2004] &nbsp; Database: <? echo $db_name; ?><br>
<? echo "User:($u_id-$u_session) &nbsp; Affiliate:($af_id-$af_session) &nbsp; Referrer:($referrer_id) &nbsp; ".gmstrftime ("%b %d %Y %H:%M:%S", time()); ?>
</td></tr>


<tr><th width=150px><a href='login.php'>Users Login Page</a></th>
<td>This is where your website users sign up, login and retrieve lost passwords. They can update their details, and access protected pages once logged in. There can be any number of levels of access - you specify the level allocated in the users-manager, and the level required on the protected page. (<code>login.php</code>)<br><br></td></tr>

<tr><th><a href='users-manager.php'>* Users Manager</a></th>
<td>You can sort, list you users by many different criteria, then email or delete the selected ones, or email everyone. (<code>user-manager.php</code>)<br><br></td></tr>

<tr><th><a href='user-edit.php'>* User Edit</a></th>
<td>This script allows you to change ALL a users details, and create new users by hand (should you want to).(<code>user-edit.php</code>)<br><br></td></tr>

<tr><th width=150px><a href='affiliates.php'>Affiliates Page</a></th>
<td>This is where your affiliates sign up, login and retrieve lost passwords. They can check their stats, update their details and get their affiliate links once logged in. (<code>affiliates.php</code>)<br><br></td></tr>

<tr><th><a href='affiliates-manager.php'>* Affiliates Manager</a></th>
<td>You can sort, list your affiliates by many different criteria, then email or delete the selected ones, or email everyone. (<code>affiliates-manager.php</code>)<br><br></td></tr>

<tr><th><a href='affiliate-edit.php'>* Affiliate Edit</a></th>
<td>This script allows you to change ALL an affiliates details, and create new affiliates by hand (should you want to).(<code>affiliate-edit.php</code>)<br><br></td></tr>

<tr><th><a href='affiliate-stats.php'>Affiliate Stats</a></th>
<td>This script displays detailed sales and referral stats for an individual user. Sales are ordered into user-defined 'Billing Periods' (i.e. 1 month) and the number of level 1, 2 and 3 sales and commissions are displayed. This script is used in the front-end to display stats to your affiliates.(<code>affiliate-stats.php</code>)<br><br></td></tr>

<tr><th><a href='products-manager.php'>* Products Manager</a></th>
<td>Add, Update and Delete your products and commissions here. This info is used by the button-wizard, the affiliate stats and also by the IPN module to check the price paid is correct.(<code>products-manager.php</code>)<br><br></td></tr>

<tr><th><a href='banners.php'>* Banners Manager</a></th>
<td>Add, Update and Delete your text and image banners here. You can specify a URL destination for your banners. The macro AFF-LINK</code> is replaced by the real URL when the banners are displayed. (<code>banners.php</code>)<br><br></td></tr>

<tr><th><a href='rebuild-twbaff-db.php'>Rebuild Database</a></th>
<td>This page builds the database structure from scratch, then inserts a single admin user with the login 'admin' and password 'admin'. Run it for setting up, then you should probably delete it! (<code>rebuild-twbaff-db.php</code>)<br><br></td></tr>

<tr><th><a href='stats.php'>System Stats</a></th>
<td>This page lists some system statistics including: All sales, number of users and affiliates, number of active sessions. (<code>stats.php</code>)<br><br></td></tr>

<tr><th><i>Buy-Button Wizard</i></th>
<td>This script will create your PayPal 'Buy' / 'Add To Cart' and 'View Cart' buttons for you from your ECommerce Settings and the product details. It should be included in all the pages you want 'Buy' buttons in. You can then create buttons simply by specifying the product name! It's used by <code>login.php</code> to create the membership 'Buy' buttons. (<code>button-wiz.php</code>)<br><br></td></tr>

<tr><th><i>Settings</i></th>
<td>All the system settings are defined in a single text file which you can change with any editor: (<code>twb-constants.php</code>)<br><br></td></tr>

<tr><th><i>Help</i></th>
<td>There are 3 places to look for help: <a href="http://www.web-bureau.com/twb-web-system.php" title='Introduction and Installation information'>Intro/Installation</a>, <a href="http://www.web-bureau.com/twb-ws-main.php" title='User Manual'>User-Manual</a> and <a href="http://www.web-bureau.com/twb-ews-faq.php" title='Frequently Asked Questions'>FAQ</a>. If you don't find what you're looking for please <a href="mailto:info@web-bureau.com">email us</a>.<br><br></td></tr>

<tr><td colspan=2><i><b>*</b> These pages are password protected. You must login as an administrator to access them.<br><br>
Administrators are defined, by default, as users with an access level of 9. The access level of each user can be changed in the <a href='user-edit.php'>User-Edit</a> page. The access-level required to access a page is set within the protected page.</i></th><br><br></td></tr>

</table>

<?
include 'twbaff-menu.php';
include 'twb-footer.php';
?>

</body></html>
