<?
//============================================================================================
// TWB ECommerce Website System - V5.2 (c) web-bureau.com 2004
//--------------------------------------------------------------------------------------------
// login.php
// This script manages the entire users system: registration, logging in/out, changing details,
// emailing forgotten details. Each of these is considered an 'action'...
//--------------------------------------------------------------------------------------------
// ADDING YOUR TEMPLATE: You can add your HTML Template code BELOW this first section of code
// Replace the default HTML Header with your own where indicated by *TEMPLATE HERE*
//============================================================================================
// ACTIONS:
//  "" - or...
//   1 - Login / Register
//   2 - Check Login Details
//   3 - Logged In
//   6 - Check New Member and Add To DB
//   7 - Email Password
//   8 - Update Member's Details
//   9 - LogOut
//  10 - Clear Cookies
//  11 - Verify Member
// --------------------------------------------------
//=============================
// Include DB constants etc.
//=============================
require_once 'twb-constants.php';
@include_once 'button-wiz.php';

//------------
// Connect DB
//------------
$db=mysql_connect($db_host, $db_user, $db_passwd) or die ('Cannot connect to database.<br>'. mysql_error());
mysql_select_db($db_name, $db);

//----------------------------------------------------------------------
$email  =$_REQUEST['us_email'];   $us_passwd =$_REQUEST['us_passwd'];
$u_id   =$_REQUEST['u_id'];       $u_session =$_REQUEST['u_session'];
$action =$_REQUEST['action'];     $us_name   =$_REQUEST['us_name'];
$country=$_REQUEST['country'];    $url       =$_REQUEST['us_url'];
$v_key  =$_REQUEST['v_key'];   
//----------------------------------------------------------------------------------
// $lr (Last Result) hold any output from the code below, until it can be displayed
//-----------------------------------------------------------------------------------

//---------------------------------------------------------------
// FUNCTION: check_email() - Check email address syntax is valid.
//---------------------------------------------------------------
function check_email ($user_email) {
 if (!ereg("^[_a-zA-Z0-9-]+(\.[_a-zA-Z0-9-]+)*@[a-zA-Z0-9-]+(\.[a-zA-Z0-9-]+)*$", $user_email)) return FALSE;
 else return TRUE;
}

//----------------------------------
// Action=11 - Verify New User
//----------------------------------
if ($action==11) { 
  //---------------------------------
  // Delete keys older than 30 days
  //---------------------------------
  $qry="DELETE FROM twb_verify_keys WHERE (TO_DAYS(now()) - TO_DAYS(vk_tstamp)) > 30";
  $result=mysql_query($qry, $db);
  if (mysql_errno()!=0) echo "<p>SQL Error:<br>QRY: $qry<br>ERR: ". mysql_error(). "</p>\n";

  //-------------------------------------
  // Get the key with the info provided
  //-------------------------------------
  $qry="SELECT vk_v_key FROM twb_verify_keys WHERE vk_u_id='$vu_id'";
  $result=mysql_query($qry, $db);
  while ($myrow=mysql_fetch_row($result)) $db_v_key=$myrow[0];
  if (mysql_errno()!=0) echo "<p>SQL Error:<br>QRY: $qry<br>ERR: ". mysql_error(). "</p>\n";

  //------------------------------
  // Failed to find row for user
  //------------------------------
  if (mysql_num_rows($result)==0) {
    $lr.="Verify Failed. User ID ($vu_id) not recognised. Please try again...<br>";
    $action=10;
    }
  
  else {
    //-------------------------------
    // Compare Key submitted with DB
    //-------------------------------
    if (strcmp($db_v_key, $v_key)==0) {
      $qry="UPDATE twb_users SET us_stat='V' WHERE us_id=$vu_id";
      $result=mysql_query($qry, $db);

      if ($result != 1) {
        $action=10;
        $lr.="An error occurred (". mysql_error(). ") while updating your status.<br>Please contact us or try again.<br>$qry";
        }
      else {
        $lr.="Your email address has been verified. Thankyou.<br>";
        $action=3;
        }
      }
    //------------------
    // Keys don't match
    //------------------
    else { 
      $lr.="Your verify-key doesn't match ($vu_id, $db_v_key, $v_key). Please try again.<br>";
      $action=10;  // clear cookies - in case user has tried registering a few times...
      }
    }
  }


//--------------------------------------
// Action=2 - Check Login Details...
//----------------------------------------------------------------------------------------
// This function is done first so we can set the cookies: u_id and u_session
// Note, All Text goes into '$lr' (login result) as we can't 'echo' 'til after the header.
//-- --------------------------------------------------------------------------------------
if ($action==2) { 
  //-----------------------------------------------
  // Email addr and passwd are supplied - get ID
  //-----------------------------------------------
  $qry="SELECT us_id, us_name, us_stat FROM twb_users WHERE us_email='$us_email' AND us_passwd='$us_passwd'";
  $result=mysql_query($qry, $db);
  while ($myrow=mysql_fetch_assoc($result))
    foreach ($myrow as $myvarname=>$myvarvalue) $$myvarname=$myvarvalue;
  $u_id=$us_id;

  //--------------
  // Login Failed!
  //--------------
  if (mysql_num_rows($result)==0) {
    $lr.="Login Failed. Email or Password not recognised. Please try again...<br>";
    $action=1;
    }

  //------------------------------------------
  // Login Succeeded! Create a new session...
  // Delete any old user sessions.  
  //------------------------------------------
  else {
    //----------------------------
    // User is un-verified - stop
    //----------------------------
    if ($us_stat != 'V') {
      $lr.="User is unverified. Please check your inbox for the verification details.<br>";
      $action='';
      }
    //----------------------------
    // User is verified - proceed.
    //----------------------------
    else {
      $lr.="User (ID:$u_id) Logged In Successfully.<br>";
      $action=3;

      srand ((double)microtime()*1000000);   // Session ID is a random number...
      $u_session=rand (1000000, 9999999);

      $qry="DELETE FROM twb_sessions WHERE se_us_id='$u_id'";
      $result=mysql_query($qry, $db);
      if (mysql_errno()!=0) echo '<p>SQL Error:<br>QRY:'. $qry.'<br>ERR:'. mysql_error().'</p>';

      $qry="INSERT INTO twb_sessions (se_session_id, se_us_id) VALUES (\"$u_session\", \"$u_id\")";
      $result=mysql_query($qry, $db);
      if (mysql_errno()!=0) echo '<p>SQL Error:<br>QRY:'. $qry.'<br>ERR:'. mysql_error().'</p>';

      if (mysql_affected_rows()==0) {
        $action=1;
        $lr.=$qry. "An error occurred while creating your user-session. Please try again.<br>";
        }
      else $lr.="<b>Session</b>: $u_session<br>";
      }
    }
  }

//------------------------------------------------------------------------------
// All SetCookies must be done before any HTML * Including Comments * !
// If: Not Logged In, Removing User, or Logging Out - Remove Session cookie
//------------------------------------------------------------------------------
if (($action==1) || ($action==2) || ($action==6)) {
  setcookie("u_session", "", time()-3600);
  $u_session="";
  $lr.="Removed Session Cookie.<br>";
 }
//------------------------------------------------------
// User ID : Expires in 10 Years
// Session : Expires in $sess_timeout Seconds.
// If Logged In - Set (Update) U_ID & Session cookies.
//------------------------------------------------------
elseif (($action==3) || ($action==8)) {
  setcookie("u_id", $u_id, time()+$cookie_timeout);
  setcookie("u_session", $u_session, time()+$sess_timeout);
  $lr.="Set User And Session Cookies.<br>";
  }
//---------------------------------
// Logout - Clear session cookie
//---------------------------------
elseif ($action==9) {
  setcookie("u_session", "", time()-3600);
  $lr.="Logged Out.<br>";
  }
//---------------------------------------
// Clear All Cookies. - Logout / Clear
//---------------------------------------
elseif ($action==10) {
  setcookie("u_id",      "", time()-3600);  $u_id="";
  setcookie("u_session", "", time()-3600);  $u_session="";
  $action=1;
  $lr.="Cookies Deleted!<br>";
  }
?>


<!-- ------------------------------------------------- -->
<!-- INCLUDE HTML Header etc. Add Your *TEMPLATE HERE* -->
<!-- ------------------------------------------------- -->
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head>
<title>Login Page</title>
<link rel="stylesheet" href="twb-afm.css" type="text/css">
</head>
<!-- BODY --------------------- -->
<body bgcolor="#FFFFFF" leftmargin=0 rightmargin=0 topmargin=0><center><br>


<!-- STATUS BAR ------------------------- -->
<table width="95%" id=login><tr><td align=center width="25%" bgcolor="#FFFFFF">

<!-- Display Current Action... ---------- -->
Action:
<? if     ($action==2)  echo "2) Check Details...";
   elseif ($action==3)  echo "3) Session Active...";
   elseif ($action==6)  echo "6) Add New Member...";
   elseif ($action==7)  echo "7) Emailed Password...";
   elseif ($action==8)  echo "8) Update Member's Details...";
   elseif ($action==9)  echo "9) LogOut...";
   elseif ($action==10) echo "10) Clear Cookies...";
   elseif ($action==11) echo "11) Verify Email..";
   else                 echo "1) Login / Apply...";
?>
</td>

<!-- Display Session And User's Name... -->
<td align="center" class=small width="25%" bgcolor="#FFFFFF">Session: <? echo $u_session; ?></td>
<td align="center" class=small width="25%" bgcolor="#FFFFFF">User: 


<?
//-----------------------------
// Get user's name / 'Visitor'
//-----------------------------
if (!is_numeric($u_id)) $u_id=0;

$qry="SELECT us_name FROM twb_users WHERE us_id='$u_id'";
$result=mysql_query($qry, $db);
if (mysql_errno()!=0) echo '<p>SQL Error:<br>QRY:'. $qry.'<br>ERR:'. mysql_error().'</p>';
if (mysql_num_rows($result)>0) while ($myrow=mysql_fetch_row($result)) echo $myrow[0];
else echo "Visitor";
?>

</td>
<!-- Display Page They Came From... -->
<td align="center" class=small width="25%" bgcolor="#FFFFFF">Page: 
<? if ($pg != '') echo $pg; else echo 'None'; ?>

</td></tr><tr><td colspan=4>

<?
echo $lr;

//-- -------------------------------------------------------------
//-- Check Session if action='logged in' or there's a sess_id...
//-- -------------------------------------------------------------
if (($action==3) || ($u_session != "")) {

  $qry="SELECT now()-se_tstamp FROM twb_sessions WHERE se_session_id=\"$u_session\"";
  $result=mysql_query($qry,$db);
  if (mysql_errno()!=0) echo '<p>SQL Error:<br>QRY:'. $qry.'<br>ERR:'. mysql_error().'</p>';
  while ($myrow=mysql_fetch_row($result)) $diff=$myrow[0];

  //--------------------------------------------------------
  // If session details not in DB - clear and force login.
  //--------------------------------------------------------
  if (mysql_num_rows($result)==0) {
    echo "Session ($u_session) not in DB...<br>";
    $u_session=0; 
    $action="";
    }

  //-----------------------------------------------------------
  // If session is older than $sess_timeout secs, force login.
  //-----------------------------------------------------------
  elseif ($diff > $sess_timeout) {
    echo "Session too old...<br>";
    $u_session=0; 
    $action="";
    }

  //----------------------------------------------------
  // Otherwise - renew the session, by resetting timer.
  //----------------------------------------------------
  else { 
    $qry="UPDATE twb_sessions SET se_tstamp=NULL WHERE se_session_id='$u_session'";
    $result=mysql_query($qry,$db);
    if (mysql_errno()!=0) echo '<p>SQL Error:<br>QRY:'. $qry.'<br>ERR:'. mysql_error().'</p>';
    if ($action=="") {
      echo "Session already running...<br>";
      $action=3;
      }
    }
  }

//-- -----------------------------------------
//  Action=6 - Check New Registration...
//-- ----------------------------------------
elseif ($action==6) {
  $db=mysql_connect($db_host, $db_user, $db_passwd);
  mysql_select_db($db_name, $db);
  $err=0;

  //---------------------------------
  // Check all fields are filled in.
  //---------------------------------
  if (check_email($us_email)==FALSE || strlen($us_email)==0) {
    echo "Please enter a valid email address.<br>"; $err=1;
    }
  if (strlen($us_name)==0)  { echo "Please enter a name.<br>"; $err=1; }
  if (strlen($country)==0)  { echo "Please enter a country.<br>"; $err=1; }
  if (strlen($us_passwd)<3) { echo "Please enter a password of 3 or more characters.<br>"; $err=1; }

  if ($err==0) {
    //------------------------------------------------
    // If no errors, check the email addr. is unused.
    //------------------------------------------------
    $qry="SELECT us_id FROM twb_users WHERE us_email=\"$us_email\"";
    $result=mysql_query($qry, $db);
    if (mysql_errno()!=0) echo '<p>SQL Error:<br>QRY:'. $qry.'<br>ERR:'. mysql_error().'</p>';

    //------------------------
    // If OK, INSERT the user
    //------------------------
    if (mysql_num_rows($result)==0) {

      $qry="INSERT INTO twb_users (us_name, us_email, us_passwd, us_url, us_country, us_joined) VALUES (\"$us_name\", \"$us_email\",  \"$us_passwd\", \"$us_url\", \"$country\", now())";
      $result=mysql_query($qry, $db);
      if (mysql_errno()!=0) echo '<p>SQL Error:<br>QRY:'. $qry.'<br>ERR:'. mysql_error().'</p>';

      //-------------------------------------------------------
      // USER ADDED: Get automatically generated ID from DB
      //-------------------------------------------------------
      if ($result==1) {
        $u_id=mysql_insert_id();

        //------------------
        // Welcome Message
        //------------------
        echo "Thanks for joining! You have been succesfully added to our database.<br><br>";
        echo "To <b>verify</b> your membership. <b>Check your inbox now</b> for the welcome email, and just click on the verify link.<br><br>";
        echo "If you have any questions, feel free to contact me at: <a href=\"mailto:$web_email\">$web_email </a>.<br><br>";
        echo "<b>Name:</b> $us_name<br><b>Email:</b> $us_email<br><b>Password:</b> $us_passwd<br><br><br>";
        echo "These details have also been sent to your email address: ". $us_email. "<br><br>";

        //--------------------------------------------------------------
        // EMAIL VERIFICATION: Create a user/verify_key row in the DB.
        //--------------------------------------------------------------
        srand ((double)microtime()*1000000);   // Key is a random number...
        $v_key=rand (1000000, 9999999);

        $qry="INSERT INTO twb_verify_keys (vk_u_id, vk_v_key) VALUES (\"$u_id\", \"$v_key\")";
        $result=mysql_query($qry, $db);
        if ($result != 1) {
          $action=1;
          echo $qry. "<br>Sorry, An error occurred (". mysql_error(). ") while creating your verify-key. Please contact us or try again.<br>";
          }
        else { 
          //--------------------
          // VERIFICATION EMail
          //--------------------
          $tmp=str_replace('USER-NAME', $us_name, $usv_text);
          $tmp=str_replace('USER-EMAIL', $us_email, $tmp);
          $tmp=str_replace('USER-PASSWORD', $us_passwd, $tmp);
          $tmp=str_replace('USER-VERIFY',  "$web_url/login.php?action=11&vu_id=$u_id&v_key=$v_key", $tmp);
          mail ($us_email, $usv_subject, $tmp, $email_header);
          }

        //----------------------------------------------------------------
        // Click Button To Continue. This allows us to place the cookies!
        //----------------------------------------------------------------
        echo "<center><form action=\"$PHP_SELF\" method=post>";
        echo "<input type=hidden name=action value=2>";
        echo "<input type=hidden name=\"pg\" value=\"$pg\">";
        echo "<input type=hidden name=\"us_email\" value=\"$us_email\">";
        echo "<input type=hidden name=\"us_passwd\" value=\"$us_passwd\">";
        echo "<input type=hidden name=\"us_country\" value=\"$us_country\">";
        echo "<input type=hidden name=\"us_url\" value=\"$us_url\">";
        echo "<input type=submit class=btn value=\"Please Click Here To Continue.\">";
        echo "</form><br>";
        $action="a";
        }
      //--------------------------
      // If Problem Adding User
      //--------------------------
      else {
        echo "<p>There was a problem adding you to the database.<br>";
        echo "Please try again, or <a href=\"mailto:$web_email\">email us</a>. Thanks.</p>";
        $action=1;
        }
      }

    //-------------------------------------------------------
    // If email already in DB - they're already registered.
    //-------------------------------------------------------
    else {
      echo "<p>That email address is already used - You must've registered previously.<br>";
      echo "Please use the 'Send Me My Password' feature, and we'll email you your login details.</p>";
      $action=1;
      }
    }
  else $action="1"; // end of if err
  }


//--------------------------------------------
//  Action=7 - Email Me My Password...
//--------------------------------------------
elseif ($action==7) {

  //-----------------------------
  // If there's no email addr...
  //-----------------------------
  if ($us_email=='')
    echo "You didn't enter an email address. Please fill this field in first!<br>";

  //------------------------------------------------
  // Else, check it exists. If it doesn't, say so.
  //------------------------------------------------
  else {
    $qry="SELECT us_passwd FROM twb_users WHERE us_email=\"$us_email\"";
    $result=mysql_query($qry,$db);
    while ($myrow=mysql_fetch_row($result)) $t_pwd=$myrow[0];

    if (mysql_num_rows($result) != 1)
      echo "Email address '$us_email' didn't match our database. Please try again.<br>";

    else {
      echo "Your password was sent to: '$us_email'<br>";
      mail ($us_email, "Your Login Details", "Your Login ID is this email address.\nYour Password is: $t_pwd\n\n$from_signature", $email_header); 
      }
    }
    $action=1;
  }

/*------------------------------------------*/
/*  Action=8 - Update Member's Details... */
/*------------------------------------------*/
if ($action==8) {
  $updated=-1;
  //---------------------------------------------------------------------------
  // Ensure the email contains an '@' & the password is 3 or more characters
  //---------------------------------------------------------------------------
  if ( (strstr($us_email,"@")==FALSE) || (strstr($us_email,".")==FALSE) )
    echo "<b>Please enter a valid email address.</b><br>";

  elseif (strlen($us_passwd)<3)
    echo "<b>Please choose a password of 3 or more characters.</b><br>";

  else {
    //--------------------------------------
    // Check the email addr. is unused.
    //----------------------------------
    $qry="SELECT us_id FROM twb_users WHERE us_email=\"$us_email\" AND us_id!=\"$u_id\"";
    $result=mysql_query($qry, $db);
    if (mysql_errno()!=0) echo '<p>SQL Error:<br>QRY:'. $qry.'<br>ERR:'. mysql_error().'</p>';

    //--------------------------------------
    // If it is - reject the change
    //--------------------------------------
    if (mysql_num_rows($result) != 0)
      echo "<b>That email address is already registered!</b><br>";

    //-----------------
    // Do the update.
    //-----------------
    else {
      $qry="UPDATE twb_users SET us_name=\"$us_name\", us_email=\"$us_email\", us_passwd=\"$us_passwd\", us_url=\"$us_url\", us_country=\"$country\", us_updated=NULL, us_contact='$us_contact', us_street='$us_street', us_city='$us_city', us_state='$us_state', us_zip='$us_zip', us_tel='$us_tel' WHERE us_id='$u_id'";
      $result=mysql_query($qry,$db);
      if (mysql_errno()!=0) echo '<p>SQL Error:<br>QRY:'. $qry.'<br>ERR:'. mysql_error().'</p>';
      $updated=mysql_affected_rows();
      }
    }

  if ($updated != -1) {
    echo "Your details were updated.<br>";
    $action=3;
    }
  else {
    echo "There was a problem updating your details.<br>";
    echo "Please try again, or <a href=\"mailto:$web_email\">email us</a>. Thanks.<br>";
    $action=3;
    }
  }

//------------------------
//  Action=9 - LogOut
//------------------------
if ($action==9) {
  $qry="DELETE FROM twb_sessions WHERE se_us_id=\"$u_id\"";
  $result=mysql_query($qry, $db);
  if (mysql_errno()!=0) echo '<p>SQL Error:<br>QRY:'. $qry.'<br>ERR:'. mysql_error().'</p>';
  echo "Thanks for visiting.<br>";
  $action=1;
  }
?>

<!-- End of Status Table -->
</td></tr></table>

<?
//-- ---------------------------------------------
//-- Action=1 or blank - Show login form...
//-- ---------------------------------------------
if (($action=="") || ($action==1)) {
 
  //----------------------------------------------------------------------
  // If user ID set - get email and put into login form (for convenience)
  //----------------------------------------------------------------------
  if (is_numeric($u_id)) {
    $qry="SELECT us_email FROM twb_users WHERE us_id='$u_id'";
    $result=mysql_query($qry, $db);
    if (mysql_errno()!=0) echo '<p>SQL Error:<br>QRY:'. $qry.'<br>ERR:'. mysql_error().'</p>';
    while ($myrow=mysql_fetch_row($result)) $us_email=$myrow[0];
    }

  // ----------------------------------------------------
  // Create a 2x2 table to contain the 4 options below:  
  // ----------------------------------------------------
  echo "<center><table border=0 cellpadding=12 width=\"95%\"><tr><td align=center width=\"50%\" bgcolor=\"#FFFFEE\">";

  // ----------
  // 1) Login  
  // ----------
  echo "<font=\"arial\" size=2 color=\"#000066\">";
  echo "<b>To Login:</b><br>Please enter your email-address and password into the fields below. Then click on 'Login'.<br><br>"; 

  echo "<table border=0 cellpadding=6 bgcolor=\"#FFEEDD\"><tr><td>";
  echo "<form action=\"$PHP_SELF\" method=post>";
  echo "<input type=hidden name=action value=\"2\">";
  echo "<input type=hidden name=\"pg\" value=\"$pg\">";
  echo "<tr><td>Email </td><td><input name=\"us_email\" type=text maxlength=60 value=\"$us_email\"></td></tr>";
  echo "<tr><td>Password </td><td><input name=\"us_passwd\" type=\"password\" maxlength=60 value=\"$us_passwd\"></td></tr>";
  echo "<tr><td colspan=2 align=center><input type=submit class=btn value=\"* Login *\"></form></td></tr></table><br>";

  echo "</td><td align=center bgcolor=\"#EEEEFF\">";

  // -------------
  // 2) Sign-Up
  // ---------------------------------------------------------------------------------------------
  // Can have free and commercial membership...
  // If the membership is commercial - display 'Buy' buttons for all products called 'Membership'
  // ---------------------------------------------------------------------------------------------
  // FREE Membership, display the standard sign-up form
  // ---------------------------------------------------
  if ($freemembership) {
    echo "<font=\"arial\" size=2 color=\"#000066\">";
    echo "<b>FREE Sign-Up...</b><br>Please enter your info into the fields below. Then click on 'Register'...<br><br>";
    echo "<b>Bold</b> fields are required.<br><br>";
    echo "<b>Verification</b> is required by clicking on a link in the welcome email you receive. Until your account is verified, you won't be able to access the members-only areas.<br><br>";

    echo "<table border=0 cellpadding=6 bgcolor=\"#FFEEDD\"><tr><td>";
    echo "<form action=\"$PHP_SELF\" method=post>";
    echo "<input type=hidden name=action value=6>";
    echo "<input type=hidden name=\"pg\" value=\"$pg\">";
    echo "<table cellpadding=6 width=\"100%\" border=0>";
    echo "<tr><td><b>Name</b></td><td><input name=\"us_name\" type=text size=20 maxlength=60 value=\"$us_name\"></td></tr>";
    echo "<tr><td><b>Email</b></td><td><input name=\"us_email\" type=text size=20 maxlength=60 value=\"$us_email\"></td></tr>";
    echo "<tr><td><b>Password</b></td><td><input name=\"us_passwd\" type=\"password\" size=20 maxlength=10 value=\"$us_passwd\"></td></tr>";    echo "<tr><td>URL</td><td> <input name=\"us_url\" type=text size=20 maxlength=60 value=\"$us_url\"></td></tr>";
    echo "<tr><td>Country</td><td>";
    include ("country-select.php"); 
    echo "</td></tr>";

    echo "</table>";
    echo "</td></tr><tr><td align=center>";
    echo "<input type=submit class=btn value='Register'></form></tr></td>";
    echo "</table><br>";
    }

  //-----------------------
  // Commercial membership:
  //---------------------------------------------------------------------------------------
  // Can have any number of 'Membership Products' - get them and display the 'Buy' buttons
  //---------------------------------------------------------------------------------------
  if ($pay4membership) {
    echo $signup_text;
    $qry="SELECT pr_name, pr_desc FROM twb_products WHERE pr_name LIKE '%$membership_products%' ORDER BY pr_name ASC";
    $result=mysql_query($qry, $db);
    if (mysql_errno()!=0) echo '<p>SQL Error:<br>QRY:'. $qry.'<br>ERR:'. mysql_error().'</p>';
    if (mysql_num_rows($result)>0)
      while ($myrow=mysql_fetch_row($result)) {
        echo "<b>$myrow[0]</b><br><i>$myrow[1]</i><br>";
        create_paypal_buttons($myrow[0]);
        }
      }

  echo "</font></td></tr><tr halign=\"top\"><td align=center bgcolor=\"#EEEEFF\">";


  //-----------------------------------
  // 3) 'Send Me Password' button
  //-----------------------------------
  echo "<b>If You've Forgotten Your Password:</b><br>Please enter your email address, then click on the button below, and your password will be emailed to you.<br><br>";
  echo "<form action=\"$PHP_SELF\" method=post>";
  echo "<input type=hidden name=action value=\"7\">";
  echo "<input type=text name=\"us_email\" maxsize=60 value=\"$us_email\"><br><br>";
  echo "<input type=hidden name=\"pg\" value=\"$pg\">";
  echo "<input type=submit class=btn value=\"Email Password\"></form><br>";

  echo "</font></td><td align=center bgcolor=\"#FFFFEE\">";
  echo "<font=\"arial\" size=2 color=\"#000066\">";

  //-----------------------------------
  // 4) 'Clear Cookies' button
  //-----------------------------------
  echo "<b>If you're having trouble logging in:</b><br>This removes any of our old cookies from your PC.<br><br>";
  echo "<form action=\"$PHP_SELF\" method=post>";
  echo "<input type=hidden name=action value=\"10\">";
  echo "<input type=hidden name=\"pg\" value=\"$pg\">";
  echo "<input type=submit class=btn value=\"Clear Cookies\"></form><br>";

  echo "</font></td></tr></table><br>";

  }


//-- ------------------------------------------------------------
//-- Action=3 - Logged In - Get Details From DB & Show them...
//-- ------------------------------------------------------------
if ($action==3) {
  //--------------------------------------------------------------------------------
  // $pg is the page the user started out at. It's where they were redirected from.
  // it's passed as a parameter to this script, and has to be passed back in every
  // time we re-load the script by including it in all the forms!
  //--------------------------------------------------------------------------------
  echo "<br><p>";
  if (strlen($pg)>0) echo "<a href=\"$pg\">Click here to continue to $pg...</a><br><br>";
  echo "<a href='$web_url'>Click here to go to the Home Page...</a><br><br>";

  echo "<p>To change any of your details, just type in the new value, and click on 'Update...'.<br><br>";

  $qry="SELECT * FROM twb_users WHERE us_id='$u_id'";
  $result=mysql_query($qry, $db);
  while ($myrow=mysql_fetch_assoc($result))
    foreach ($myrow as $myvarname=>$myvarvalue) $$myvarname=$myvarvalue;
  $country=$us_country;

  //--------------------------------
  // The Member's Details Form...
  //--------------------------------
  echo "<table border=0 bgcolor=\"#FFFFEE\" cellpadding=8><tr><td>\n";
  echo "<form action=\"$PHP_SELF\" method=post>\n";
  echo "<input type=hidden name=action value=8><input type=hidden name=pg value=\"$pg\">\n";
  echo "<center><table border=0 cellpadding=6>\n";
  echo "<tr><th>Name</th><td><input name=\"us_name\" size=35 type=text maxlength=60 value=\"$us_name\"></td></tr>\n";
  echo "<tr><th>Email</th><td><input name=\"us_email\" size=35 type=text maxlength=60 value=\"$us_email\"></td></tr>\n";
  echo "<tr><th bgcolor=\"#FFFFEE\">Password</th><td><input name=\"us_passwd\" size=10 type=\"password\" maxlength=10 value=\"$us_passwd\"></td></tr>\n";
  echo "<tr><td>URL</td><td><input name=\"us_url\" size=35 type=text maxlength=60 value=\"$us_url\"></td></tr>\n";
  echo "<tr><td>Street Address</td><td><input name='us_street' type=text size=20 maxlength=60 value=\"$us_street\"></td></tr>";
  echo "<tr><td>City/Town</td><td><input name='us_city' type=text size=20 maxlength=60 value=\"$us_city\"></td></tr>";
  echo "<tr><td>State/Region</td><td><input name='us_state' type=text size=20 maxlength=60 value=\"$us_state\"></td></tr>";
  echo "<tr><td>Zip/PostCode</td><td><input name='us_zip' type=text size=20 maxlength=60 value=\"$us_zip\"></td></tr>";

  echo "<tr><td>Country</td><td>\n";
  include ("country-select.php"); 
  echo "</td></tr>\n";

  echo "<tr><td>Mailshots</td><td><select name='us_contact' size=1><option value='Y'";
  if ($us_contact=='Y') echo 'selected';
  echo ">Yes <option value='N'\n";
  if ($us_contact=='N') echo 'selected';
  echo ">No</select></td></tr>\n";
  echo "</table>\n</td></tr><tr><td align=center>";
  echo "<input type=submit class=btn value=\"Update Details\"></form>\n";

  // LogOut Button
  echo "<br><form action=\"$PHP_SELF\" method=post>";
  echo "<input type=hidden name=action value=9>";
  echo "<input type=submit class=btn value='LogOut'></form>";
  echo "</td></tr></table><br>"; 
}


//-----------
// Close DB
//-----------
mysql_close($db);

//------
// Menu
//------
if ($us_access>=$admin_level) include 'twbaff-menu.php';

include 'twb-footer.php';

?>


</body></html>
