<?
//===============================================================================
// TWB ECommerce Website System - V5.2 (c) web-bureau.com 2004
//-------------------------------------------------------------------------------
// rebuild-twbaff-db.php
// Rebuild All Database Definitions. MAKES NO CHECKS
//===============================================================================

//=============================
// Include DB constants etc.
//=============================
require_once 'twb-constants.php';

//------------
// Connect DB
//------------
$db=mysql_connect($db_host, $db_user, $db_passwd) or die ('Cannot connect to Database.<br><br>' . mysql_error());
mysql_select_db($db_name, $db);


//===================
// FUNCTION: Run SQL
//-----------------------------------------------------
// Run an SQL statement & echo the result
//-----------------------------------------------------
function run_sql ($qry) {
  global $db;

  $result=mysql_query($qry, $GLOBALS['db']);
  if (mysql_errno()!=0) echo "<p>SQL Error:<br>QRY: $qry<br>ERR: ". mysql_error(). "</p>\n";
  else echo "<p>SQL OK.</p>\n";
}


//-------------
// Affiliates
//-------------
run_sql("
DROP TABLE IF EXISTS twb_affiliates
");

run_sql("
CREATE TABLE twb_affiliates (
  af_id           INT UNSIGNED AUTO_INCREMENT,
  af_updated      TIMESTAMP,
  af_joined       TIMESTAMP,
  af_name         VARCHAR(60) DEFAULT 'Name',
  af_email        VARCHAR(60) DEFAULT 'Email',
  af_pp_email     VARCHAR(60),
  af_passwd       VARCHAR(10),
  af_street       VARCHAR(60),                 -- Address info...
  af_city         VARCHAR(60),
  af_state        VARCHAR(60),
  af_zip          VARCHAR(20),
  af_tel          VARCHAR(60),                 -- Telephone
  af_url          VARCHAR(100),
  af_country      VARCHAR(2),
  af_one_up       INT UNSIGNED DEFAULT '0',
  af_two_up       INT UNSIGNED DEFAULT '0',
  af_stat         VARCHAR(1) DEFAULT 'A',
  PRIMARY KEY (af_id)
)
");

//--------------------
// Affiliate Sessions
//--------------------
run_sql("
DROP TABLE IF EXISTS twb_af_sessions
");

run_sql("
CREATE TABLE twb_af_sessions (
  as_session_id    VARCHAR(10) NOT NULL,
  as_af_id         VARCHAR(10) NOT NULL,
  as_tstamp        TIMESTAMP,
  PRIMARY KEY (as_session_id)
)
");


//-----------------
// Affiliate Hits
//-----------------
run_sql("
DROP TABLE IF EXISTS twb_af_hits
");

run_sql("
CREATE TABLE twb_af_hits (
  ah_af_id    INT UNSIGNED NOT NULL,
  ah_counter  INT UNSIGNED,
  PRIMARY KEY (ah_af_id)
)
");

//-------------
// Sales
//-------------
run_sql("
DROP TABLE IF EXISTS twb_sales
");

run_sql("
CREATE TABLE twb_sales (
  sa_invoice            INT UNSIGNED AUTO_INCREMENT,
  sa_receiver_email     VARCHAR(127),
  sa_item_name          VARCHAR(127),
  sa_item_number        VARCHAR(50),
  sa_quantity           VARCHAR(127),
  sa_payment_status     VARCHAR(127),
  sa_pending_reason     VARCHAR(127),
  sa_payment_date       DATETIME,
  sa_mc_gross           VARCHAR(127),
  sa_mc_fee             VARCHAR(127),
  sa_mc_currency        VARCHAR(127),
  sa_txn_id             VARCHAR(127),
  sa_txn_type           VARCHAR(127),
  sa_first_name         VARCHAR(127),
  sa_last_name          VARCHAR(127),
  sa_address_street     VARCHAR(127),
  sa_address_city       VARCHAR(127),
  sa_address_state      VARCHAR(127),
  sa_address_zip        VARCHAR(127),
  sa_address_country    VARCHAR(127),
  sa_address_status     VARCHAR(127),
  sa_payer_email        VARCHAR(127),
  sa_payer_status       VARCHAR(127),
  sa_payment_type       VARCHAR(127),
  sa_notify_version     VARCHAR(127),
  sa_verify_sign        VARCHAR(127),
  sa_referrer_id        VARCHAR(127),
  sa_option_name1       VARCHAR(127),
  sa_option_selection1  VARCHAR(127),
  sa_option_name2       VARCHAR(127),
  sa_option_selection2  VARCHAR(127),
  sa_settle_amount      VARCHAR(127),
  sa_settle_currency    VARCHAR(127),
  sa_exchange_rate      VARCHAR(127),
  PRIMARY KEY (sa_invoice)
)
");

//-------------
// Products
//-------------
run_sql("
DROP TABLE IF EXISTS twb_products
");

run_sql("
CREATE TABLE twb_products (
  pr_name             VARCHAR(60) NOT NULL,
  pr_desc             VARCHAR(100),
  pr_email_text       TEXT,
  pr_attachment       VARCHAR(100),
  pr_price            FLOAT(10,2),
  pr_lev1_commission  FLOAT(10,2),
  pr_lev2_commission  FLOAT(10,2),
  pr_lev3_commission  FLOAT(10,2),
  pr_valid_from       DATE NOT NULL,
  pr_valid_to         DATE,
  pr_show_note        CHAR(1) DEFAULT 'N',
  pr_show_qty         CHAR(1) DEFAULT 'N',
  pr_req_addr         CHAR(1) DEFAULT 'N',
  pr_recurring        CHAR(1) DEFAULT 'N',
  pr_renewal          VARCHAR(20),
  pr_repeats          VARCHAR(20),
  pr_trial            VARCHAR(20),
  PRIMARY KEY (pr_name, pr_valid_from)
)
");


//-----------------
// Banners
//-----------------
run_sql("
DROP TABLE IF EXISTS twb_banners
");

run_sql("
CREATE TABLE twb_banners (
  ba_name     VARCHAR(60) NOT NULL,
  ba_desc     VARCHAR(100),
  ba_url      VARCHAR(100),
  ba_code     TEXT,
  PRIMARY KEY (ba_name)
)
");

//==========================
// MEMBER's WEBSITE TABLES
//==========================
//-----------------
// Users
//-----------------
run_sql("
DROP TABLE IF EXISTS twb_users
");

run_sql("
CREATE TABLE twb_users (
  us_id        INT UNSIGNED AUTO_INCREMENT,
  us_updated   TIMESTAMP,
  us_joined    TIMESTAMP,
  us_name      VARCHAR(60),
  us_email     VARCHAR(60),
  us_passwd    VARCHAR(10),
  us_street    VARCHAR(60),                 -- Address info...
  us_city      VARCHAR(60),
  us_state     VARCHAR(60),
  us_zip       VARCHAR(20),
  us_tel       VARCHAR(60),                 -- Telephone
  us_url       VARCHAR(100),
  us_country   CHAR(2),
  us_access    CHAR(1) DEFAULT '1',  -- Access level. 1=basic, 9=admin
  us_contact   CHAR(1) DEFAULT 'Y',  -- Include user in mailshots?
  us_stat      CHAR(1) DEFAULT 'A',  -- 'A'ctive, 'V'alidated, or 'D'eleted
  PRIMARY KEY (us_id)
)
");

//-----------------
// Sessions
//-----------------
run_sql("
DROP TABLE IF EXISTS twb_sessions
");

run_sql("
CREATE TABLE twb_sessions (
  se_session_id  VARCHAR(10) NOT NULL,
  se_us_id       VARCHAR(10) NOT NULL,
  se_tstamp      TIMESTAMP,
  PRIMARY KEY (se_session_id)
)
");

//-----------------
// Verify Keys
//-----------------
run_sql("
DROP TABLE IF EXISTS twb_verify_keys
");

run_sql("
CREATE TABLE twb_verify_keys (
  vk_u_id     VARCHAR(10) NOT NULL,
  vk_v_key    VARCHAR(10) NOT NULL,
  vk_tstamp   TIMESTAMP,
  PRIMARY KEY (vk_u_id)
)
");

//-----------------
// Admin User
//-----------------
run_sql("
INSERT INTO twb_users (us_joined, us_email, us_name, us_passwd, us_access, us_stat)
VALUES (now(), 'admin', 'admin', 'admin', '9', 'V')
");



mysql_close($db);

include 'twbaff-menu.php';

include 'twb-footer.php';

?>

<p>Done.</p>
